## NMAWifiDialog NMAWifiDialog |

## Functions

GtkWidget * | nma_wifi_dialog_new ()
GtkWidget * | nma_wifi_dialog_new_for_hidden ()
GtkWidget * | nma_wifi_dialog_new_for_create ()
NMConnection * | nma_wifi_dialog_get_connection ()
GtkWidget * | nma_wifi_dialog_nag_user ()
void | nma_wifi_dialog_set_nag_ignored ()
gboolean | nma_wifi_dialog_get_nag_ignored ()
GtkWidget * | nma_wifi_dialog_new_for_other ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── NMAWifiDialog

## Description

## Functions

### nma_wifi_dialog_new ()

    GtkWidget *
    nma_wifi_dialog_new (NMClient *client,
                         NMConnection *connection,
                         NMDevice *device,
                         NMAccessPoint *ap,
                         gboolean secrets_only);

### nma_wifi_dialog_new_for_hidden ()

    GtkWidget *
    nma_wifi_dialog_new_for_hidden (NMClient *client);

### nma_wifi_dialog_new_for_create ()

    GtkWidget *
    nma_wifi_dialog_new_for_create (NMClient *client);

### nma_wifi_dialog_get_connection ()

    NMConnection *
    nma_wifi_dialog_get_connection (NMAWifiDialog *self,
                                    NMDevice **device,
                                    NMAccessPoint **ap);

#### Parameters

self | an NMAWifiDialog |
device | . | [out]
ap | . | [out]

#### Returns

.

[transfer full]

### nma_wifi_dialog_nag_user ()

    GtkWidget *
    nma_wifi_dialog_nag_user (NMAWifiDialog *self);

`nma_wifi_dialog_nag_user` is deprecated and should not be used in newly-written code.

#### Returns

.

[transfer full]

### nma_wifi_dialog_set_nag_ignored ()

    void
    nma_wifi_dialog_set_nag_ignored (NMAWifiDialog *self,
                                     gboolean ignored);

`nma_wifi_dialog_set_nag_ignored` is deprecated and should not be used in newly-written code.

### nma_wifi_dialog_get_nag_ignored ()

    gboolean
    nma_wifi_dialog_get_nag_ignored (NMAWifiDialog *self);

`nma_wifi_dialog_get_nag_ignored` is deprecated and should not be used in newly-written code.

### nma_wifi_dialog_new_for_other ()

    GtkWidget *
    nma_wifi_dialog_new_for_other (NMClient *client);

`nma_wifi_dialog_new_for_other` is deprecated and should not be used in newly-written code.

## Types and Values